Bug 800347 - Unnecessary warning messages printed when using virt-v2v to convert a guest not configured with yum repo
Unnecessary warning messages printed when using virt-v2v to convert a guest n...
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-v2v (Show other bugs)
6.3
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Matthew Booth
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 06:28 EST by tingting zheng
Modified: 2014-11-18 06:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-18 06:27:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tingting zheng 2012-03-06 06:28:09 EST
Description of Problem:
When use virt-v2v to convert a guest not configured with yum repo,it prints unnecessary warning messages

Version-Release number of selected component:
virt-v2v-0.8.7-3.el6.x86_64
libvirt-0.9.10-3.el6.x86_64
libguestfs-1.16.8-1.el6.x86_64


How reproducible:
Always

Step to Reproduce:
1.Add items to install custom packages during linux conversions in /etc/virt-v2v.conf.
  <capability os='linux' distro='rhel' major='6' name='user-custom'>
    <dep name='zsh' minversion='4.3.10-4.1.el6' />
  </capability>

    <app os='linux' distro='rhel' major='6' arch='x86_64' name='zsh'>
    <path>rhel/6/zsh-4.3.10-4.1.el6.x86_64.rpm</path>
  </app>

2.Download zsh-4.3.10-4.1.el6.x86_64.rpm and put it under
/var/lib/virt-v2v/software/rhel/6.

3.Prepare a guest not configured with yum repo.

4.Use virt-v2v to convert the guest:
# virt-v2v  -ic qemu+ssh://10.66.72.122/system -os default -b breth0 kvm-rhel6.2-x86_64-qcow2
rhel6u1-64b-qcow2: 100% [=========================================================================================]D 0h01m48s
virt-v2v: WARNING: Failed to install packages using yum. Output was: sh_lines: sh_lines: Error: Nothing to do at /usr/share/perl5/vendor_perl/Sys/VirtConvert/GuestfsHandle.pm line 197.
 at /usr/share/perl5/vendor_perl/Sys/VirtConvert/Converter/RedHat.pm line 1353

virt-v2v: WARNING: The connected hypervisor does not support feature pae.
virt-v2v: kvm-rhel6.2-x86_64-qcow2 configured with virtio drivers.


Actual Results:
Messages printed:WARNING: Failed to install packages using yum. Output was: sh_lines: sh_lines: Error: Nothing to do at /usr/share/perl5/vendor_perl/Sys/VirtConvert/GuestfsHandle.pm line 197.
 at /usr/share/perl5/vendor_perl/Sys/VirtConvert/Converter/RedHat.pm line 1353


Expected Results:
These warning and error messages are unnecessary,it should be removed.

Additional info:
Comment 2 RHEL Product and Program Management 2012-05-03 00:37:49 EDT
Since RHEL 6.3 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 3 Richard W.M. Jones 2014-11-18 06:27:05 EST
Virt-v2v needs to run on the latest Red Hat Enterprise Linux release
to ensure it can correctly read and modify new guest filesystem
features.  A new version of virt-v2v is now available for RHEL 7.1.

Before RHEL 7.1 is released, follow the instructions here to
install unsupported preview packages on top of RHEL 7.0:
https://www.redhat.com/archives/libguestfs/2014-May/msg00090.html

After RHEL 7.1 is released, virt-v2v will be available in
Technical Preview.

You can run virt-v2v in a single virtual machine.  Other
requirements are covered here:
http://libguestfs.org/virt-v2v.1.html#resource-requirements

If you find a missing feature or bug in the new version of virt-v2v
please file a bug using the following link:
https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%207&component=libguestfs

Note You need to log in before you can comment on or make changes to this bug.